# API gRPC

Endpoint: grpcs\://cepb.awesomeapi.com.br

<https://github.com/raniellyferreira/awesomeapi-cep/blob/master/proto/address.proto>

<details>

<summary>Proto file</summary>

```protobuf
syntax = "proto3";

package addr.v1;

option go_package = "./;pb";

// -- Services
service AddressService {
    rpc FindByCep (AddressRequest) returns (Address) {}
}

// -- Messages
message Empty {}

message Address {
    string cep = 1;
    string address_type = 2;
    string address_name = 3;
    string address = 4;
    string state = 5;
    string district = 6;
    string lat = 7;
    string lng = 8;
    string city = 9;
    string city_ibge = 10;
    string ddd = 11;
}

message AddressList {
    repeated Address addresses = 1;
}

message AddressRequest {
    string cep = 1;
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.awesomeapi.com.br/api-cep/api-grpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
